﻿using System;
using System.Diagnostics;
using System.IO;
using System.Text.RegularExpressions;

namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        public string path = @"data.txt"; // путь к файлу        
        public string[] pipes; // массив для хранения всх строк
        public string[,] defect; // массив хранит значения по строкам и значениям для каждой строки

        /// <summary>
        /// считывание информации из файла
        /// </summary>
        /// <param name="path">имя файла для считывания</param>
        public void info(string path) 
        {
            pipes = File.ReadAllLines(path);
            defect = new string[pipes.Length, 5];
            for (int i = 0; i < pipes.Length; i++)
            {
                string[] points = pipes[i].Split(";");
                for (int j = 0; j < points.Length; j++)
                {
                    if (points.Length == 5)
                    {                       
                    }
                    defect[i, j] = points[j];

                }
            }

        }

        public void read()
        {
            info(@"data.txt");
            for (int i = 0; i < pipes.Length; i++)
            {
                Console.Write("Название трубы: " + defect[i, 0]);
                Console.Write("  Длина трубы: " + defect[i, 1]);
                Console.Write("  Внешний диаметр: " + defect[i, 2]);
                Console.Write("  Толщина стенки: " + defect[i, 3]);
                Console.Write("  Армированность: " + defect[i, 4]);
                Console.WriteLine();
            }
        }

        public static void check(string[] defect) // определение дефекта
        {
            if ((Convert.ToDouble(defect[1]) >= 3960 && Convert.ToDouble(defect[1]) <= 4040) && ((Convert.ToDouble(defect[2]) == 20.2 && Convert.ToDouble(defect[2]) == 19.8)) || (Convert.ToDouble(defect[2]) == 25.25 && Convert.ToDouble(defect[2]) == 24.75) || Math.Round(Convert.ToDouble(defect[2])) == 32 || Math.Round(Convert.ToDouble(defect[2])) == 40 || Math.Round(Convert.ToDouble(defect[2])) == 50 || Math.Round(Convert.ToDouble(defect[2])) == 60)
            {
                if (defect[0] == "PN10" && (Convert.ToDouble(defect[1]) >= 3960 && Convert.ToDouble(defect[1]) <= 4040) && (Convert.ToDouble(defect[3]) >= ((Convert.ToDouble(defect[2]) / 100) * 10) && Convert.ToDouble(defect[3]) <= ((Convert.ToDouble(defect[2]) / 100) * 11)))
                {
                   
                }
                else
                if (defect[0] == "PN16" && (Convert.ToDouble(defect[1]) >= 3960 && Convert.ToDouble(defect[1]) <= 4040) && (Convert.ToDouble(defect[3]) >= ((Convert.ToDouble(defect[2]) / 100) * 13.5) && Convert.ToDouble(defect[3]) <= ((Convert.ToDouble(defect[2]) / 100) * 14)))
                {
                    
                }
                else
                if (defect[0] == "PN20" && (Convert.ToDouble(defect[3]) >= ((Convert.ToDouble(defect[2]) / 100) * 16.5) && Convert.ToDouble(defect[3]) <= ((Convert.ToDouble(defect[2]) / 100) * 17)))
                {
                  
                }
                else
                if (defect[0] == "PN25" && (Convert.ToDouble(defect[3]) >= ((Convert.ToDouble(defect[2]) / 100) * 16.5) && Convert.ToDouble(defect[3]) <= ((Convert.ToDouble(defect[2]) / 100) * 17)))
                {
                    
                }
            }

        }
        public void Main(string[] args)
        {
            Console.WriteLine("Показать исходные данные? Если ваш ответ 'да' напишите ниже 'да', ввод чувствителен к регистру.");
            string answer = Console.ReadLine();
            if (answer == "да") // проверка условия вывода
            {
                read();
            }
            check(string[] defect);

        }
    }
}